;============================================================
;STRUCTURES
;============================================================

struct jump_info				;20 BYTES
    .Push		dd	?
    .JumpAngle		dd	?
    .JumpTendancy	dd	?
    .RepeatPeriod	dd	?
    .LastTickCount	dd	?
ends

struct CAPTUREPARMS		;size = 96
    .dwRequestMicroSecPerFrame		dd	?
    .fMakeUserHitOKToCapture		dd	?
    .wPercentDropForError		dd	?
    .fYield				dd	?
    .dwIndexSize			dd	?
    .wChunkGranularity			dd	?
    .fUsingDOSMemory			dd	?
    .wNumVideoRequested 		dd	?
    .fCaptureAudio			dd	?
    .wNumAudioRequested 		dd	?
    .vKeyAbort				dd	?
    .fAbortLeftMouse			dd	?
    .fAbortRightMouse			dd	?
    .fLimitEnabled			dd	?
    .wTimeLimit 			dd	?
    .fMCIControl			dd	?
    .fStepMCIDevice			dd	?
    .dwMCIStartTime			dd	?
    .dwMCIStopTime			dd	?
    .fStepCaptureAt2x			dd	?
    .wStepCaptureAverageFrames		dd	?
    .dwAudioBufferSize			dd	?
    .fDisableWriteCache 		dd	?
    .AVStreamMaster			dd	?
ends

struct AVISTREAMINFO
    .fccType				dd	?
    .fccHandler 			dd	?
    .dwFlags				dd	?
    .dwCaps				dd	?
    .wPriority				dw	?
    .wLanguage				dw	?
    .dwScale				dd	?
    .dwRate				dd	?
    .dwStart				dd	?
    .dwLength				dd	?
    .dwInitialFrames			dd	?
    .dwSuggestedBufferSize		dd	?
    .dwQuality				dd	?
    .dwSampleSize			dd	?
    .rcFrame				RECT
    .dwEditCount			dd	?
    .dwFormatChangeCount		dd	?
    label .szName
			 times 64	db	?
ends

struct AVICOMPRESSOPTIONS
    .fccType				dd	?
    .fccHandler 			dd	?
    .dwKeyFrameEvery			dd	?
    .dwQuality				dd	?
    .dwBytesPerSecond			dd	?
    .dwFlags				dd	?
    .lpFormat				dd	?
    .cbFormat				dd	?
    .lpParms				dd	?
    .cbParms				dd	?
    .dwInterleaveEvery			dd	?
ends

struct DIBDUMPHEADER
    .AtxDIBId				db	'ATXRECDF'	;if included in final file, save was successful
    .HeaderSize 			dd	DIBDUMPHEADER
    .BitmapData 			BITMAPINFOHEADER
    .Framerate				dd	?
    .FrameRepeatTableFileOffset 	dd	?
    .FrameRepeatTableFileOffsetHigh	dd	?
    .DiffFrameCount			dd	?	   ;excludes frame repetitions (new frames only)
    .TrueFrameCount			dd	?	   ;includes repetitions
    .MaxFrameCount			dd	?
    .FrameRepCount			dd	?
    .rv_rt_error_count			dd	?
ends

