;=========================================================
;this could would retrieve the active DirectDraw and/or
;Direct3D surface objects from the executable (valid only in-game)
;however, it seems that the actual object is member +4Ch
;of [BaseDDSurfaceADDR] rather than the surface objects
;shown below. I do not know the significance of each.
;=========================================================
mov eax,[BaseDDSurfaceADDR]
mov edx,[eax]

cmp DWORD [edx+94h],0
jz NoSoftwareSurface_SHOWMAP
mov eax,[edx+94h]
NoSoftwareSurface_SHOWMAP:

cmp DWORD [edx+98h],0
jz NoD3DSurface_SHOWMAP 	;D3D 'surface' supersedes software
mov eax,[edx+98h]
NoD3DSurface_SHOWMAP:

test eax,eax
jz NoDDSurface_SHOWMAP
;------------------------
mov [ebp-12],eax
mov [ebp-8],DWORD 1		;start w/ blink

mov edx,[eax]
lea ecx,[ebp-16]		;will contain DC for surface
push ecx
push eax
call DWORD [edx+44h]		;GetDC and lock surface

mov eax,[ebp-12]
mov edx,[eax]
push DWORD [ebp-16]
push eax
call DWORD [edx+68h]		;ReleaseDC and unlock surface

;=====================================================
;For ddraw surface copying (to avi)
;=====================================================
;DoVideoCaptureRT_FAST:
;push ebp
;mov ebp,esp
;sub esp,DDSURFACEDESC2+20
;mov esi,1
;
;        mov eax,[BaseDDSurfaceADDR]
;        mov ecx,[eax]
;        mov edi,[ecx+4Ch]               ;edi = DDSurface object
;        mov eax,[edi]
;        lea ebx,[ebp-DDSURFACEDESC2]
;        push 0
;        mov DWORD [ebx],DDSURFACEDESC2     ;(size)
;        push DDLOCK_READONLY+DDLOCK_WAIT
;        push ebx                           ;surface description
;        push 0
;        push edi
;        call DWORD [eax+DirectDrawSurface.Lock]
;        test eax,eax
;             jnz DDrawLockError3
;
;        cmp [FrameCount],0
;            jnz NotFirstFrameCaptureRT3
;
;            mov [avi_bitmap_info.biSize],BITMAPINFOHEADER
;            mov [avi_bitmap_info.biWidth],320
;            mov [avi_bitmap_info.biHeight],240
;            mov [avi_bitmap_info.biPlanes],1
;            mov [avi_bitmap_info.biBitCount],16
;            mov [avi_bitmap_info.biCompression],BI_RGB      ;direct color values
;            invoke AVIStreamSetFormat,[avistream_handle],0,avi_bitmap_info,[avi_bitmap_info.biSize]
;            jmp FirstFrameCaptureOK3
;        NotFirstFrameCaptureRT3:
;
;        invoke GetTickCount
;        sub eax,[VideoTimer]
;        cmp eax,FRAME_ELAPSE_TIME
;            jb NoDoVideoCaptureRT3
;        add [VideoTimer],eax
;
;        sub eax,FRAME_ELAPSE_TIME
;        cdq
;        mov ecx,FRAME_ELAPSE_TIME
;        div ecx
;        add esi,eax
;
;        cmp esi,1
;             ja RepeatPreviousFrame_A3
;
;        FirstFrameCaptureOK3:
;
;               push ebp
;               push esi
;                push edi
;                mov esi,[ebx+DDSURFACEDESC2.lpSurface]
;                mov edi,AVI_BUFFER_TEMP
;
;                ;80 transfers horiz, 240 transfers vert
;                mov ebp,[ebx+DDSURFACEDESC2.lPitch]
;                sub ebp,320*2
;                xor edx,edx
;
;                HeightLoopScreenFlash3:
;
;                        mov ecx,80
;                        WidthLoopScreenFlash3:
;                        movq mm0,QWORD [esi]
;                        movq QWORD [edi],mm0
;                        add esi,8
;                        add edi,8
;                        loop WidthLoopScreenFlash3
;
;                add edx,1
;                add esi,ebp
;                cmp edx,240
;                    jb HeightLoopScreenFlash3
;
;
;                pop edi
;                pop esi
;                pop ebp
;                emms
;
;        RepeatPreviousFrame_A3:
;
;        RepeatLastFrame_B3:
;        invoke AVIStreamWrite,[avistream_handle],[FrameCount],1,AVI_BUFFER_TEMP,320*240*2,0,0,0
;               inc [FrameCount]
;               sub esi,1
;                   jnz RepeatLastFrame_B3
;
;        NoDoVideoCaptureRT3:
;
;        push 0
;        mov eax,[edi]
;        push edi
;        call DWORD [eax+DirectDrawSurface.Unlock]
;
;DDrawLockError3:
;
;mov esp,ebp
;pop ebp
;ret